> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vlm.run/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

<RequestExample>
  ```python Python theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  !pip install vlmrun

  from vlmrun.client import VLMRun
  from vlmrun.client.types import AgentResponse

  client = VLMRun(api_key="<VLMRUN_API_KEY>")
  response: AgentResponse = client.agent.list(skip=0, limit=10)
  ```

  ```typescript Node.js SDK theme={"theme":{"light":"github-light","dark":"dark-plus"}}
  import { VlmRun } from "vlmrun";

  const client = new VlmRun({
    baseURL: "https://api.vlm.run/v1",
    apiKey: "<VLMRUN_API_KEY>"
  });

  const response = await client.agent.list();
  console.log(response);
  ```
</RequestExample>


## OpenAPI

````yaml GET /v1/agent
openapi: 3.1.0
info:
  title: VLM Run Unified Server
  description: Unified server for VLM Run Agent and API
  termsOfService: https://vlm.run/terms-of-service
  contact:
    name: VLM Run Support Team
    url: https://vlm.run/
    email: support@vlm.run
  version: 2026-05-19.0
servers: []
security: []
paths:
  /v1/agent:
    get:
      tags:
        - agent
      summary: ' List Agents'
      operationId: _list_agents_v1_agent_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/AgentInfoResponse'
                type: array
                title: Response  List Agents V1 Agent Get
      security:
        - HTTPBearer: []
components:
  schemas:
    AgentInfoResponse:
      properties:
        id:
          type: string
          title: Id
          description: ID of the agent
        name:
          type: string
          title: Name
          description: Name of the agent
        description:
          type: string
          title: Description
          description: Description of the agent
        prompt:
          type: string
          title: Prompt
          description: The prompt of the agent
        json_schema:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Json Schema
          description: The JSON schema of the agent's sample response
        json_sample:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Json Sample
          description: The sample JSON response from the model.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Date and time when the agent was created (in UTC timezone)
        updated_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updated At
          description: Date and time when the agent was updated (in UTC timezone)
        status:
          type: string
          enum:
            - pending
            - enqueued
            - running
            - completed
            - failed
            - paused
          title: Status
          description: The status of the job.
          default: pending
      type: object
      required:
        - id
        - name
        - description
        - prompt
        - created_at
      title: AgentInfoResponse
      description: Response to the agent creation request.
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````